--- aten/src/ATen/core/boxing/impl/boxing.h.orig	2024-06-16 07:55:38.662684245 +0200
+++ aten/src/ATen/core/boxing/impl/boxing.h	2024-06-16 07:58:43.690715864 +0200
@@ -39,7 +39,15 @@
 struct has_ivalue_to : std::false_type {};
 
 template <class T>
-struct has_ivalue_to<T, std::void_t<decltype(std::declval<IValue>().to<T>())>>
+struct ivalue_to_helper
+{
+    using type = decltype(std::declval<IValue>().template to<T>());
+};
+template <class T>
+using ivalue_to_helper_t = typename ivalue_to_helper<T>::type;
+
+template <class T>
+struct has_ivalue_to<T, std::void_t<ivalue_to_helper_t<T>>>
 : std::true_type
 {};
 
